### Enumeration

# PangoGravityHint

since: 1.16

#### Declaration

    enum Pango.GravityHint

#### Description [src]

`PangoGravityHint` defines how horizontal scripts should behave in a vertical context.

That is, English excerpts in a vertical paragraph for example.

See also `PangoGravity`

Available since: 1.16

#### Members

`PANGO_GRAVITY_HINT_NATURAL`

  Scripts will take their natural gravity based on the base gravity and the script. This is the default.

  - Value: `0`
  - Nickname: `natural`
  - Available since: 1.16
`PANGO_GRAVITY_HINT_STRONG`

  Always use the base gravity set, regardless of the script.

  - Value: `1`
  - Nickname: `strong`
  - Available since: 1.16
`PANGO_GRAVITY_HINT_LINE`

  For scripts not in their natural direction (eg. Latin in East gravity), choose per-script gravity such that every script respects the line progression. This means, Latin and Arabic will take opposite gravities and both flow top-to-bottom for example.

  - Value: `2`
  - Nickname: `line`
  - Available since: 1.16